<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <!-- MEMBERSHIP/CURRENT MEMBERS -->
    <record model="ir.ui.view" id="membership_members_tree_view">
        <field name="name">tpstst.members.tree.view</field>
        <field name="model">res.partner</field>
        <field name="sequence" eval="9999"/>
        <field name="arch" type="xml">
            <tree string="Members" decoration-danger="status == 'alive'" decoration-warning="membership_state == 'inactive'">
                <field name="name"/>
                <field name="membership_type"/>
                <field name="membership_state"/>
                <field name="status"/>
                <field name="user_id" invisible="1"/>
            </tree>
        </field>
    </record>

    <record id="membership_members_filter_view" model="ir.ui.view">
        <field name="name">tpstst.members.filter.view</field>
        <field name="model">res.partner</field>
        <field name="arch" type="xml">
            <search string="Membership Partners">
                <field name="name"
                    filter_domain="['|', '|', ('name', 'ilike', self), ('parent_id', 'ilike', self), ('ref' , '=', self)]"/>
                <separator/>
                <filter name="all_members" string="Members" domain="[('membership_state', 'in', ['active', 'inactive'])]" help="Invoiced/Paid/Free"/>
                <separator/>
            </search>
        </field>
    </record>

    <record id="membership_members_form_view" model="ir.ui.view">
        <field name="name">membership.members.form.view</field>
        <field name="model">res.partner</field>
        <field name="arch" type="xml">
            <form>
                <header>
                    <button name="name_get" string="Update Display Name" type="object" class="oe_highlight"/>
                    <button name="_get_membership_status" string="Get Status" type="object" class="oe_highlight"/>
                    <field name="membership_state" widget="statusbar" statusbar_visible="inactive,active" clickable="1"/>
                </header>
                <sheet>
                    <div class="oe_button_box" name="button_box">
                        <button class="oe_stat_button o_res_partner_tip_opp"
                                type="action"
                                name="%(crm.crm_lead_opportunities)d"
                                icon="fa-star"
                                context="{'search_default_partner_id': active_id}">
                            <field string="Opportunities" name="opportunity_count" widget="statinfo"/>
                        </button>
                        <button type="object" class="oe_stat_button" icon="fa-pencil-square-o" name="action_view_partner_invoices"
                                context="{'default_partner_id': active_id}">
                            <div class="o_form_field o_stat_info">
                                <span class="o_stat_value">
                                    <field name="total_invoiced" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                                </span>
                                <span class="o_stat_text">Invoiced</span>
                            </div>
                        </button>
                        <button type="object" class="oe_stat_button" icon="fa-pencil-square-o" name="action_view_partner_payment"
                                context="{'default_partner_id': active_id}">
                            <div class="o_form_field o_stat_info">
                                <span class="o_stat_value">
                                    <field name="total_payment" widget='monetary' options="{'currency_field': 'currency_id'}"/>
                                </span>
                                <span class="o_stat_text">Payments</span>
                            </div>
                        </button>
                    </div>
                    <field name="image" widget='image' class="oe_avatar" options='{"preview_image": "image_medium"}'/>
                    <div class="oe_title">
                        <div role="alert" class="alert alert-danger" 
                            style="width:100%; margin-bottom:10px;"
                            attrs="{'invisible': ['|', ('membership_state', 'in', ['active', 'terminate']), ('membership_type', '=', 'associate')]}">
                            Your membership is not active anymore, please renew your membership validity 
                        </div>
                        <field name="active" invisible="1"/>
                        <field name="is_company" invisible="1"/>
                        <h1>
                            <field name="name" default_focus="1" placeholder="English Name / 英文姓名" required="1"/>
                        </h1>
                        <div class="o_row">
                            <field name="chinese_name" default_focus="1" placeholder="Chinese Name / 中文姓名"/>
                        </div>
                        <div class="o_row">
                            <field name="parent_id"
                                widget="res_partner_many2one"
                                placeholder="Company"
                                domain="[('is_company', '=', True)]" context="{'default_is_company': True}"
                                attrs="{'invisible': ['|', '&amp;', ('is_company','=', True),('parent_id', '=', False),('company_name', '!=', False),('company_name', '!=', '')]}"/>
                                <field name="company_name" attrs="{'invisible': ['|', '|', ('company_name', '=', False), ('company_name', '=', ''), ('is_company', '=', True)]}"/>
                                <button name="create_company" type="object" class="oe_edit_only btn-link"
                                    attrs="{'invisible': ['|', '|', ('is_company','=', True), ('company_name', '=', ''), ('company_name', '=', False)]}">
                                    <span class="fa fa-plus-square"/>
                                    Create company
                                </button>
                        </div>
                    </div>
                    <group name="personal_info">
                        <group name="group_personal_info_part_1">
                            <field name="title"/>
                            <field name='birthdate'/>
                            <label for="identity_no_mask"/>
                            <div class="o_row">
                                <field name="identity_no_type" invisible="1"/>   
                                <field name='identity_no' class="oe_inline oe_edit_only"/>
                                <field name='identity_no_mask' class="oe_inline oe_read_only"/>
                                <button name="show_identity" context="{'show_identity': active_id}" type="object" string="Show" attrs="{'invisible': ['|', ('show_identity_no', '!=', False), ('identity_no', '=', False)]}" class="btn-radius oe_read_only btn-danger"/>
                                <button name="hide_identity" context="{'show_identity': False}" type="object" string="Mask" attrs="{'invisible': ['|', ('identity_no', '=', False), ('show_identity_no', '=', False)]}" class="btn-radius oe_read_only btn-success"/>
                            </div>
                            <field name="show_identity_no" invisible="1"/>
                            <field name='gender'/>
                            <field name="mobile" widget="phone"/>
                            <field name="phone" widget="phone"/>
                            <field name='email' widget="email"/>
                            <!-- <field name="category_id"/> -->
                            <!-- <field name="rank_ids" widget="many2many_tags" options='{"no_create": True}'/> -->
                        </group>
                        <group name="group_personal_info_part_2">
                            <field name="identity_type" invisible="1"/>
                            <field name="citizenship_id" invisible="1"/>
                            <label for="street" string="Address / 地址"/>
                            <div>
                                <div class="o_address_format" name="div_address">
                                    <field name="street" placeholder="Street..." class="o_address_street"/>
                                    <field name="street2" placeholder="Street 2..." class="o_address_street"/>
                                    <div class="o_row">
                                        <field name="zip" placeholder="ZIP" class="o_address_zip"/>
                                        <field name="country_id" placeholder="Country" class="o_address_street" options='{"no_open": True, "no_create": True}'/>
                                    </div>
                                </div>
                            </div>
                            <field name='occupation'/>
                            <field name='dialect_ids' widget="many2many_tags" options="{&quot;no_open&quot;: True, &quot;no_create&quot;: True}"/>
                            <field name="status"/>
                            <field name="lang" invisible="1"/>
                            <field name="user_ids" invisible="1"/>
                        </group>
                    </group>
                    <notebook>
                        <page string="Membership Details" name="page_membership_detail">
                            <button name="button_membership_renewal" string="Renew" type="object" class="btn-success" attrs="{'invisible': [('membership_type', '=', 'associate')]}"/>
                            <group name="group_membership_details">
                                <group name="group_membership_detail_1">
                                    <field name="membership_number" readonly="1" force_save="1"/>
                                    <newline/>
                                    <field name="membership_type" readonly="1"/>
                                    <field name="membership_start" readonly="1" attrs="{'invisible': [('membership_type', '=', 'associate')]}"/>
                                    <field name='membership_cancel' invisible="1"/>
                                    <field name="membership_previous_validity" invisible="1"/>
                                    <field name="member" invisible="1"/>
                                </group>
                                <group name="group_membership_detail_2">
                                    <field name="member_since" readonly="1"/>
                                    <field name="membership_stop" readonly="1" attrs="{'invisible': [('membership_type', '=', 'associate')]}"/>
                                    <field name="membership_status" force_save="1" invisible="1"/>
                                    <field name="is_terminate" invisible="1"/>
                                </group>
                            </group>
                        </page>
                        <page string="Donation Sheet" name="donation_sheet">
                            <field name="donation_ids" nolabel="1" readonly="1">
                                <tree string="Donation Sheet" create="false">
                                    <field name="date"/>
                                    <field name="donation_interval_id"/> 
                                    <field name="total_amount_donation" widget="monetary"/>
                                    <field name="state" string="Status"/>
                                </tree>
                            </field>
                        </page>
                        <page string="Tablet Sheet" name="tablet_sheet">
                            <field name="tablet_ids" nolabel="1" readonly="1"/>
                        </page>
                        <page string="Columbarium Niche Sheet" name="niche_sheet">
                            <field name="niche_ids" nolabel="1" readonly="1"/>
                        </page>
                         <page string="Remarks" name="remarks">
                            <field name="comment" nolabel="1"/>
                        </page>
                    </notebook>
                </sheet>
                <div class="oe_chatter">
                    <field name="message_follower_ids" widget="mail_followers"/>
                    <field name="message_ids" widget="mail_thread"/>
                </div>
            </form>
        </field>
    </record>

    <record model="ir.ui.view" id="membership_members_kanban_view">
        <field name="name">membership.kanban.view</field>
        <field name="model">res.partner</field>
        <field name="arch" type="xml">
            <kanban class="o_res_partner_kanban">
                <field name="id"/>
                <field name="color"/>
                <field name="title"/>
                <field name="email"/>
                <field name="parent_id"/>
                <field name="is_company"/>
                <field name="occupation"/>
                <field name="street"/>
                <field name="street2"/>
                <field name="zip"/>
                <field name="country_id"/>
                <field name="image_small"/>
                <field name="membership_state"/>
                <field name="type"/>
                <templates>
                    <t t-name="kanban-box">
                        <t t-set="color" t-value="kanban_color(record.color.raw_value)"/>
                        <div t-att-class="color + (record.title.raw_value == 1 ? ' oe_kanban_color_alert' : '') + ' oe_kanban_global_click'">
                            <a t-if="!read_only_mode" type="delete" class="fa fa-times pull-right"/>
                            <div class="o_kanban_image">
                                <img t-if="record.image_small.raw_value" t-att-src="'data:image/png;base64,'+record.image_small.raw_value"/>
                                <t t-if="!record.image_small.raw_value">
                                    <img t-att-src='_s + "/base/static/src/img/avatar.png"'/>
                                </t>
                            </div>
                            <div class="oe_kanban_global_click o_res_partner_kanban">
                                <div class="oe_kanban_details">
                                    <strong class="o_kanban_record_title oe_partner_heading">
                                        <field name="name"/>
                                    </strong>
                                    <div class="o_kanban_tags_section oe_kanban_partner_categories"/>
                                    <ul>
                                        <li>
                                            <field name='occupation'/>
                                        </li>
                                        <li>
                                            <field name='email'/>
                                        </li>
                                        <li>
                                            <field name='membership_state'/>
                                        </li>
                                    </ul>
                                    <div class="oe_kanban_partner_links"/>
                                </div>
                            </div>
                        </div>
                    </t>
                </templates>
            </kanban>
        </field>
    </record>

    <record model="ir.actions.act_window" id="action_membership_members">
        <field name="name">Members</field>
        <field name="res_model">res.partner</field>
        <field name="view_type">form</field>
        <field name="view_mode">kanban,tree,form</field>
        <field name="search_view_id" ref="membership_members_filter_view"/>
        <field name="domain">[('member', '=', True)]</field>
        <field name="context">{"search_default_all_members": 1, "default_member": True}</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Add a new member
            </p><p>
                TigernixERP helps you easily track all activities related to a member: 
                Current Membership Status, Discussions and History of Membership, etc.
            </p>
        </field>
    </record>


    <record model="ir.actions.act_window.view" id="action_membership_members_view_tree_new">
        <field name="sequence" eval="2"/>
        <field name="view_mode">tree</field>
        <field name="view_id" ref="membership_members_tree_view"/>
        <field name="act_window_id" ref="action_membership_members"/>
    </record>

    <record model="ir.actions.act_window.view" id="action_membership_members_view_form_new">
        <field name="sequence" eval="3"/>
        <field name="view_mode">form</field>
        <field name="view_id" ref="membership_members_form_view"/>
        <field name="act_window_id" ref="action_membership_members"/>
    </record>

    <record model="ir.actions.act_window.view" id="action_membership_members_view_kanban_new">
        <field name="sequence" eval="1"/>
        <field name="view_mode">kanban</field>
        <field name="view_id" ref="membership_members_kanban_view"/>
        <field name="act_window_id" ref="action_membership_members"/>
    </record>

    <record model="ir.actions.act_window" id="action_membership_associate_members">
        <field name="name">Associate Members</field>
        <field name="res_model">res.partner</field>
        <field name="view_type">form</field>
        <field name="view_mode">kanban,tree,form</field>
        <field name="search_view_id" ref="membership_members_filter_view"/>
        <field name="domain">[('member', '=', True), ('membership_type', '=', 'associate')]</field>
        <field name="context">{"search_default_all_members": 1, "default_member": True, "default_membership_type":  'associate'}</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Add a new member
            </p><p>
                TigernixERP helps you easily track all activities related to a member: 
                Current Membership Status, Discussions and History of Membership, etc.
            </p>
        </field>
    </record>


    <record model="ir.actions.act_window.view" id="action_membership_associate_members_view_tree_new">
        <field name="sequence" eval="2"/>
        <field name="view_mode">tree</field>
        <field name="view_id" ref="membership_members_tree_view"/>
        <field name="act_window_id" ref="action_membership_associate_members"/>
    </record>

    <record model="ir.actions.act_window.view" id="action_membership_associate_members_view_form_new">
        <field name="sequence" eval="3"/>
        <field name="view_mode">form</field>
        <field name="view_id" ref="membership_members_form_view"/>
        <field name="act_window_id" ref="action_membership_associate_members"/>
    </record>

    <record model="ir.actions.act_window.view" id="action_membership_associate_members_view_kanban_new">
        <field name="sequence" eval="1"/>
        <field name="view_mode">kanban</field>
        <field name="view_id" ref="membership_members_kanban_view"/>
        <field name="act_window_id" ref="action_membership_associate_members"/>
    </record>

    <record model="ir.actions.act_window" id="action_membership_ordinary_members">
        <field name="name">Ordinary Members</field>
        <field name="res_model">res.partner</field>
        <field name="view_type">form</field>
        <field name="view_mode">kanban,tree,form</field>
        <field name="search_view_id" ref="membership_members_filter_view"/>
        <field name="domain">[('member', '=', True), ('membership_type', '=', 'ordinary')]</field>
        <field name="context">{"search_default_all_members": 1, "default_member": True, "default_membership_type":  'ordinary'}</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Add a new member
            </p><p>
                TigernixERP helps you easily track all activities related to a member: 
                Current Membership Status, Discussions and History of Membership, etc.
            </p>
        </field>
    </record>


    <record model="ir.actions.act_window.view" id="action_membership_ordinary_members_view_tree_new">
        <field name="sequence" eval="2"/>
        <field name="view_mode">tree</field>
        <field name="view_id" ref="membership_members_tree_view"/>
        <field name="act_window_id" ref="action_membership_ordinary_members"/>
    </record>

    <record model="ir.actions.act_window.view" id="action_membership_ordinary_members_view_form_new">
        <field name="sequence" eval="3"/>
        <field name="view_mode">form</field>
        <field name="view_id" ref="membership_members_form_view"/>
        <field name="act_window_id" ref="action_membership_ordinary_members"/>
    </record>

    <record model="ir.actions.act_window.view" id="action_membership_ordinary_members_view_kanban_new">
        <field name="sequence" eval="1"/>
        <field name="view_mode">kanban</field>
        <field name="view_id" ref="membership_members_kanban_view"/>
        <field name="act_window_id" ref="action_membership_ordinary_members"/>
    </record>
</odoo>
